#!/bin/bash
#SBATCH -N 4
#SBATCH --partition=batch
#SBATCH -J DeepSeek
#SBATCH -o log/log_ds_%J.out
#SBATCH -e log/log_ds_%J.err
#SBATCH --gres=gpu:8
#SBATCH --exclusive


export MASTER_ADDR=$(scontrol show hostnames "$SLURM_JOB_NODELIST" | head -n 1 | hostname -i)
srun --ntasks-per-node=1 --exclusive ./node.sh
